#include "DBControl.h"

DBControl::DBControl()
    : CWnd(), database(0), query(""), keyName(""), valueName("")
{
}

DBControl::~DBControl()
{
}

void DBControl::setDatabase(const Database& db)
{
    database = (Database*)&db;
}

void DBControl::setQuery(std::string qry)
{
    query = qry;
}

void DBControl::setKey(std::string key)
{
    keyName = key;
}

void DBControl::setValueField(std::string field)
{
    valueName = field;
}

void DBControl::setParamInt(int value)
{
    // replace :keyName by value
}

void DBControl::setParamStr(std::string value)
{
    // replace :keyName by 'value'
}

